Page MenuHomeFreeBSD

Improve USES autoreconf argument checking; update comments
ClosedPublic

Authored by ak on Jan 21 2018, 5:20 AM.

Details

Summary
  • Change configure dir from CONFIGURE_WRKSRC to AUTORECONF_WRKSRC
  • Fix a few ports with invalid USES autoreconf arguments
  • Add check for invalid USES autoreconf arguments

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ak created this revision.Jan 21 2018, 5:20 AM
ak updated this revision to Diff 38269.Jan 21 2018, 7:18 AM

Remove changes from reverted commit.

tijl accepted this revision.Jan 21 2018, 1:07 PM
mat added a comment.Jan 22 2018, 2:51 PM

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

ak updated this revision to Diff 38344.Jan 23 2018, 6:40 AM

Regenerate the patch in arcanist format.

mat accepted this revision as: portmgr.Jan 23 2018, 1:57 PM

Do check that no new autoreconf:garbage appeared before committing :-)

This revision was not accepted when it landed; it landed in state Needs Review.Jan 24 2018, 9:41 AM
Closed by commit rP459824: - Update name of autoreconf WRKSRC variable in comment (authored by ak, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.